Search Booking History

Search your booking history filtering the results by the specific criteria.

Body Params

request body

trip_states
array of objects
trip_states
string
enum

Which type of trip to search for (defaults to "BOTH"):

  • BOTH
  • ASAP
  • PREBOOK
Allowed:
date-time | null

Search for bookings made after this time in RFC3339 format

string

Passenger's email address

string

In case you are using an OAuth integration to allow your users to book trips with Karhoo, we will record the id of your user as it appears in your system in this field. This allows you to conveniently search bookings using your own id for a specific user. The value of the partner_traveller_id field is automatically populated based on the user token obtained in the OAuth flow so it is secure. It can be also populated explicitly during booking by passing your ID inside the partner_traveller_id field.

date-time | null

Search for pre-booked trips with a pickup time later than this in RFC3339 format

date-time | null

Search for pre-booked trips with a pickup time earlier than this in RFC3339 format

date-time | null

Search for trips which happened before given time

date-time | null

Search for trips which happened after given time

boolean

Search only for trips that have no final price

number

How many results to skip (for pagination)

number

How many results to return (for pagination)

string

The fleet ID

string

Trip ID provided by the demand partner

string

External trip ID provided by DMS

string
length ≤ 70

First name of a passenger to search by

string
length ≤ 70

Last name of a passenger to search by. A suffix search will be used

string

Trip Display trip ID provided by Karhoo

order_by
array of strings

Ordering parameters ("-" means DESC ordering, without "-" ASC, plus ordering param name)

  • id - sorts the trip by TripID
  • date - sorts the trip by date scheduled if it's prebooked trip and by booking time if it's ASAP trip
  • booking_date - sorts the trip by booking time
  • reference - sorts the trip by PartnerTripID
  • name - sorts the trip by passenger first name
  • surname - sorts the trip by passenger last name
  • vehicle - sorts the trip by vehicle class (string value)
  • state - sorts the trip by trip state (string value)
  • fleet - sorts the trip by fleet name
  • origin - sorts the trip by origin location display address
  • destination - sorts the trip by destination location display address
order_by
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*